module Moist
  class Mailing < ApplicationRecord
    belongs_to :moist_campaign_subscriber, class_name: '::Moist::CampaignSubscriber'

    scope :unsent, -> { where(sent_at: nil) }
    scope :sent, -> { where.not(sent_at: nil) }
    scope :upcoming, -> { where('send_at > ?', Time.current) }

    include ::Moist::Models::Mailing
  end
end
