class CreateMoistMoistCampaignSubscribers < ActiveRecord::Migration[6.0]
  def change
    create_table :moist_campaign_subscribers do |t|
      t.references :moist_campaign, null: false, foreign_key: true
      t.string :subscriber_type, null: false
      t.integer :subscriber_id, null: false
      t.integer :user_id, null: false

      t.timestamps
    end
    add_index :moist_campaign_subscribers, [:moist_campaign_id, :subscriber_id, :subscriber_type, :user_id], name: "index_moist_campaign_subscribers"
  end
end
