require 'rails/all'
require 'moist/errors'
require 'moist/engine'
require 'moist/mailer_registry'
require 'moist/subscription_manager'
require 'moist/registry_proxy'
require 'moist/steps/registry'
require 'moist/steps/collection'
require 'moist/action_mailer/extension'
require 'moist/active_record/extension'
require 'moist/action_mailer/observer'
require 'moist/models/campaign'
require 'moist/models/campaign_subscriber'
require 'moist/models/mailing'
require 'moist/delivery'

module Moist
  def self.step_registry
    @step_registry ||= Steps::Registry.new
  end

  def self.mailer_registry
    @mailer_registry ||= MailerRegistry.new
  end
end
