module Moist
  class Delivery
    def self.call(mailing)
      new(mailing).call
    end

    def initialize(mailing)
      @mailing = mailing
    end

    def call
      @mailing.mailer_class.constantize.send(@mailing.mailer_action, @mailing.moist_campaign_subscriber.subscriber).deliver!
    end
  end
end
