module Moist
  module Steps
    class Step
      attr_reader :mailer_class, :mailer_action, :options
      def initialize(mailer_class, mailer_action, options = {})
        @mailer_class = mailer_class
        @mailer_action = mailer_action
        @options = options
      end

      def name
        "#{mailer_class}##{mailer_action}"
      end
    end
  end
end
