module Moist
  class Campaign < ApplicationRecord
    self.table_name = 'moist_campaigns'
    include ::Moist::Models::Campaign

    has_many :moist_campaign_subscribers, class_name: 'Moist::CampaignSubscriber', foreign_key: :moist_campaign_id

    validates :name, uniqueness: true, presence: true
    validates :slug, uniqueness: true, presence: true
  end
end
