class CreateMoistMoistCampaigns < ActiveRecord::Migration[6.0]
  def change
    create_table :moist_campaigns do |t|
      t.string :name, null: false
      t.string :slug, null: false
      t.boolean :enabled, null: false, default: true

      t.timestamps
    end

    add_index :moist_campaigns, :slug, unique: true
  end
end
