class CreateMoistMoistReceipts < ActiveRecord::Migration[6.0]
  def change
    create_table :moist_receipts do |t|
      t.references :moist_campaign_subscriber, null: false, foreign_key: true
      t.references :moist_campaign_mailing, null: false, foreign_key: true
      t.integer :step, null: false

      t.timestamps
    end
    add_index :moist_receipts, [:moist_campaign_subscriber, :moist_campaign_mailing, :step]
  end
end
