module Moist
  class Engine < ::Rails::Engine
    isolate_namespace Moist

    ActiveSupport.on_load(:action_mailer) do
      include ::Moist::ActionMailer::Extension
      ::ActionMailer::Base.register_observer(::Moist::ActionMailer::Observer)
    end

    ActiveSupport.on_load(:active_record) do
      include ::Moist::ActiveRecord::Extension
    end
  end
end
